# List attribute lists

> Retrieve a paginated list of attribute lists.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/categories/attribute_lists`

Retrieves the collection of Attribute List resources.

Returns a paginated collection of attribute lists in the current organization.

## Headers

| Name              | Type     | Required | Description                                                                                                      |
| ----------------- | -------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
| `Flowkiwi-Locale` | `string` | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |

## Query parameters

| Name           | Type      | Required | Description                  |
| -------------- | --------- | -------- | ---------------------------- |
| `page`         | `integer` | -        | The collection page number   |
| `itemsPerPage` | `integer` | -        | The number of items per page |

## Response

**200** - Attribute List collection

| Property     | Type               | Required | Description |
| ------------ | ------------------ | -------- | ----------- |
| `totalItems` | `integer`          | -        |             |
| `search`     | `object`           | -        |             |
| `view`       | `object`           | -        |             |
| `member`     | `Attribute.List[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/categories/attribute_lists' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: 2026-07' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/Attribute%20List",
  "@id": "/api/categories/attribute_lists",
  "@type": "Collection",
  "totalItems": 1,
  "member": [
    {
      "@context": "/api/contexts/Attribute%20List",
      "@id": "/api/categories/attribute_lists/019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
      "@type": "Attribute List",
      "id": "019afd10-3c4d-7e5f-8a60-2b3c4d5e6f70",
      "name": "Color",
      "categories": [
        "/api/categories/019afd02-2b3c-7d4e-9f50-1a2b3c4d5e6f"
      ]
    }
  ]
}
```
